cURL
curl --request POST \
--url https://api.mudstack.com/workspaces/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-account-id: <x-account-id>' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
[
{
"id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"color": "<string>",
"created_by_user_id": "<string>",
"sequence": 123
}
]
'import requests
url = "https://api.mudstack.com/workspaces/tags"
payload = [
{
"id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"color": "<string>",
"created_by_user_id": "<string>",
"sequence": 123
}
]
headers = {
"x-account-id": "<x-account-id>",
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-account-id': '<x-account-id>',
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify([
{
id: '<string>',
workspace_id: '<string>',
name: '<string>',
color: '<string>',
created_by_user_id: '<string>',
sequence: 123
}
])
};
fetch('https://api.mudstack.com/workspaces/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"color": "<string>",
"created_by_user_id": "<string>",
"sequence": 123
}
]Tags
Create tags
Create new tags for the specified workspace.
POST
/
workspaces
/
tags
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Unique identifier for the workspace tag.
Identifier of the workspace to which the tag belongs.
Name of the workspace tag.
Color associated with the workspace tag.
Identifier of the user who created the tag.
Sequence number for ordering tags.
Response
200 - application/json
The created workspace tags.
Unique identifier for the workspace tag.
Identifier of the workspace to which the tag belongs.
Name of the workspace tag.
Color associated with the workspace tag.
Identifier of the user who created the tag.
Sequence number for ordering tags.
Was this page helpful?
⌘I